DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Functions
oferror.h File Reference

Declares classes and functions for platform abstracting error code handling. More...

## Classes
class | OFerror_category
| OFerror_category serves as the base class for specific error category types, such as OFsystem_category. More...
class | OFerror_code
| OFerror_code is a platform abstracting wrapper for platform specific error codes. More...

## Functions
DCMTK_OFSTD_EXPORT const OFerror_category & | OFsystem_category ()
| Retrieves a reference to an OFerror_category object used for operating system specific error codes.
DCMTK_OFSTD_EXPORT const OFerror_category & | OFgeneric_category ()
| Retrieves a reference to an OFerror_category object used for generic error codes.

## Detailed Description

Declares classes and functions for platform abstracting error code handling.

## Function Documentation

## ◆ OFgeneric_category()

DCMTK_OFSTD_EXPORT const OFerror_category & OFgeneric_category | ( |  | ) |

Retrieves a reference to an OFerror_category object used for generic error codes.

The object is required to override the virtual function OFerror_category::name() to return a pointer to the string "generic".

Returns
  a reference to the generic error category.

## ◆ OFsystem_category()

DCMTK_OFSTD_EXPORT const OFerror_category & OFsystem_category | ( |  | ) |

Retrieves a reference to an OFerror_category object used for operating system specific error codes.

The object is required to override the virtual function OFerror_category::name() to return a pointer to the string "system".

Returns
  a reference to the system error category.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2